---
lang: en
title: 'API docs: repository.defaulthasmanyrepository.delete'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.defaulthasmanyrepository.delete.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultHasManyRepository](./repository.defaulthasmanyrepository.md) &gt; [delete](./repository.defaulthasmanyrepository.delete.md)

## DefaultHasManyRepository.delete() method

<b>Signature:</b>

```typescript
delete(where?: Where<TargetEntity>, options?: Options): Promise<Count>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  where | <code>Where&lt;TargetEntity&gt;</code> |  |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`Promise<Count>`


